package com.huimv.farm.damsubsidy.service;

import com.huimv.farm.damsubsidy.common.utils.Result;
import com.huimv.farm.damsubsidy.entity.BillBuyInfo;
import com.baomidou.mybatisplus.extension.service.IService;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import java.util.Map;

/**
 * <p>
 * 交易信息 服务类
 * </p>
 *
 * @author author
 * @since 2023-04-26
 */
public interface IBillBuyInfoService extends IService<BillBuyInfo> {
    Result saveTransaction(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result getLast(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result listDetail(HttpServletRequest httpServletRequest, Map<String, String> paramsMap);

    Result addTransaction(HttpServletRequest httpServletRequest, MultipartFile buyImage1, MultipartFile buyImage2, MultipartFile buyImage3, MultipartFile buyImage4, MultipartFile buyImage5, MultipartFile image1, MultipartFile image2, String inspectionNum, String cargoOwner, String ownerPhone, String animalType, String animalNumberUp, String useTo, String startTran, String reachTran, String veter, String seller, String sellerId, String buyer, String buyerId, String eartags, String buyerPhone, String sellerPhone) throws IOException;
}
